## javax.persistence.criteria
Interface Join<Z,X>

All Superinterfaces:
  Expression<X>, FetchParent<Z,X>, From<Z,X>, Path<X>, Selection<X>, TupleElement<X>

All Known Subinterfaces:
  CollectionJoin<Z,E>, ListJoin<Z,E>, MapJoin<Z,K,V>, PluralJoin<Z,C,E>, SetJoin<Z,E>

    public interface Join<Z,X>

extends From<Z,X>

Method Summary
`Attribute<? super Z,?>` `getAttribute()`
`JoinType` `getJoinType()`
`From<?,Z>` `getParent()`

Methods inherited from interface javax.persistence.criteria.From
`getCorrelationParent, getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getModel, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Method Detail

### getAttribute

    Attribute<? super Z,?> getAttribute()

### getParent

    From<?,Z> getParent()

### getJoinType

    JoinType getJoinType()